Bug 15928 - libstdc++ in 3.4.x 3.5 doesn't cross-compile for djgpp
Summary: libstdc++ in 3.4.x 3.5 doesn't cross-compile for djgpp
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libstdc++ (show other bugs)
Version: 3.4.1
: P2 normal
Target Milestone: 3.4.2
Assignee: Not yet assigned to anyone
URL:
Keywords: build
Depends on:
Blocks:
 
Reported: 2004-06-11 01:32 UTC by Anssi Hannula
Modified: 2005-07-23 22:49 UTC (History)
1 user (show)

See Also:
Host: i386-pc-msdosdjgpp
Target: i386-pc-msdosdjgpp
Build: i686-pc-linux-gnu
Known to work:
Known to fail:
Last reconfirmed:


Attachments
Proposed patch to make libstdc++ cross-compile for pc-msdosdjgpp (478 bytes, patch)
2004-06-11 12:04 UTC, Anssi Hannula
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anssi Hannula 2004-06-11 01:32:38 UTC
When I try to cross-compile the gcc-core and gcc-g++ versions 3.4.x or 3.5 for 
i386-pc-msdosdjgpp, the following message comes when it's configuring libstdc++:

configure: error: No support for this host/target combination.
make: *** [configure-target-libstdc++-v3] Error 1

It appears to be coming from file libstdc++-v3/crossconfig.m4.
Comment 1 Anssi Hannula 2004-06-11 11:59:32 UTC
OK, i found out that there was no entry for djgpp defines in 
libstdc++-v3/crossconfig.m4.

I added it there and the build worked.
Proposed patch attached.
Comment 2 Anssi Hannula 2004-06-11 12:04:05 UTC
Created attachment 6519 [details]
Proposed patch to make libstdc++ cross-compile for pc-msdosdjgpp
Comment 3 Benjamin Kosnik 2004-07-07 00:56:33 UTC
This patch looks fine to me. This is in.
Comment 4 CVS Commits 2004-07-07 01:07:13 UTC
Subject: Bug 15928

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	bkoz@gcc.gnu.org	2004-07-07 01:07:06

Modified files:
	libstdc++-v3   : ChangeLog configure crossconfig.m4 

Log message:
	2004-07-06  Anssi Hannula  <anssi.hannula@mbnet.fi>
	
	PR libstdc++/15928
	* crossconfig.m4: Add in bits for djgpp.
	* configure: Regenerate.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&r1=1.2563&r2=1.2564
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/configure.diff?cvsroot=gcc&r1=1.395&r2=1.396
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/crossconfig.m4.diff?cvsroot=gcc&r1=1.15&r2=1.16

Comment 6 Andrew Pinski 2004-07-07 02:35:31 UTC
Fixed in 3.4.2.